import React from 'react';
import { Icon } from './icon';
import { IconWrapperProps } from './icon.types';

export function IconWrapper({
    children,
    icon,
    iconPlace,
    ...props
}: IconWrapperProps) {
    return (
        <>
            {icon && iconPlace === 'left' && <Icon {...props}>{icon}</Icon>}
            {children}
            {icon && iconPlace === 'right' && <Icon {...props}>{icon}</Icon>}
        </>
    );
}
