import { PropsWithChildren, SVGProps } from 'react';

export interface IconPlacement {
    iconPlace?: 'left' | 'right';
}

export interface GeneralIconProps {
    grade?: number;
    svgSize?: number;
    fillIcon?: 0 | 1;
    iconSize?: number;
    opticalSize?: number;
    type?: 'outlined' | 'rounded' | 'sharp';
    weight?: 100 | 200 | 300 | 400 | 500 | 600 | 700;
}

export type IconWrapperProps = IconPlacement &
    GeneralIconProps &
    PropsWithChildren & {
        icon?: string;
    };

export type IconProps = SVGProps<SVGSVGElement> & GeneralIconProps;
