import { HTMLAttributes } from 'react';

export type Typography =
    | HTMLLabelElement
    | HTMLHeadingElement
    | HTMLSpanElement
    | HTMLParagraphElement;

export type TypographySize = 'hero' | 'xl' | 'small' | 'medium' | 'large';

export type TypographyRole =
    | 'display'
    | 'headline'
    | 'title'
    | 'body'
    | 'label';

export interface TypographyProps extends HTMLAttributes<Typography> {
    size: TypographySize;
    role: TypographyRole;
}
